Subject: RE: bug#44854: [PATCH] Add lexical-binding cookie to autoload files

From: Drew Adams <[email-masked]>
Date: Tue, 24 Nov 2020 13:28:26 -0800 (PST)

> > If I understand this right then yes, I object strongly.
> > (It's possible I don't understand it right, however.)

As I said, I may misunderstand what this change does.

I thought it was adding `lexical-binding' (by default)
to each file that gets autoloaded:

> > Why on earth would we assume that a user who wants to
> > update her autoloads for a given user directory or
> > file would necessarily want to force the code to use
> > `lexical-binding'=t?
> 
> This will not force any other files to use lexical-binding.

Good.  So what is, or are, the NON-other files where
this will force lexical-binding?

> I don't understand what makes you think it would?

Reading the code and trying to understand the patch.
I'll be glad to learn I've misunderstood, and that
this doesn't impose lexical-binding anywhere.

I don't see any necessary relation between (1)
autoload files or autoloading and (2) imposing or
declaring lexical binding by default for some files.
What am I missing?

> AFAIK, there is only one
> thing that enables `lexical-binding' and that is if that buffer local
> variable is set to t.  (You can also provide the optional LEXICAL
> argument to `eval', but I don't think that applies here.)

So what does your patch do wrt lexical binding?